package net.xinhuamm.xycloud.xinhuamm_xycloud

import android.content.Context
import android.view.View
import android.widget.TextView
import io.flutter.plugin.platform.PlatformView

/**
 * author : yuntong
 * date   : 2023/11/17 14:32
 * desc   :
 */
class XYCloudErrorView(
    context: Context,
    args: Any?
) : PlatformView {
    private val view: TextView

    init {
        view = TextView(context)
        if (args is Map<*, *>) {
            val urlValue = args["url"]
            if (urlValue is String) {
                val url: String = urlValue
                view.text = "想在xycloud_view打开地址 $url ,需要继承 FlutterFragmentActivity 哦"
            } else {
                view.text = "url 地址不存在"
            }
        } else {
            view.text = "参数不存在"
        }
    }

    override fun getView(): View {
        return view
    }

    override fun dispose() {
        // 在这里进行资源释放等清理操作
    }
}