//
//  XYCloudFlutterWebView.m
//  xinhuamm_xycloud
//
//  Created by 邓付磊 on 2023/11/16.
//

#import "XYCloudFlutterWebView.h"
#import <YYModel/YYModel.h>
#import <XYCMO2OModule/XYCMO2OModule.h>
#import <XYCMO2OModule/XYO2OViewController.h>
#import "XYCloudManager.h"
#import "XYCloudGlobalConfig.h"

@interface XYCloudFlutterWebView ()

/// <#description#>
@property (nonatomic, strong) XYO2OViewController *contoller;

@end
@implementation XYCloudFlutterWebView

- (instancetype)initWithFrame:(CGRect)frame viewIdentifier:(int64_t)viewId arguments:(id)args {
    if (self = [super init]) {
        XYCloudManager *model = [XYCloudManager yy_modelWithDictionary:args];
        XYCloudManager *manager = [XYCloudManager managerWithUrl:model.url];
        CGFloat x = 0;
        CGFloat y = 0;
        CGFloat w = [UIScreen mainScreen].bounds.size.width;
        CGFloat bottom = [[UIApplication sharedApplication].delegate window].safeAreaInsets.bottom;
        CGFloat tabbarH = 44;
        CGFloat h = [UIScreen mainScreen].bounds.size.height - y - tabbarH - bottom;
        manager.o2oViewFrame = CGRectMake(x, y, w, h);
        XYO2OViewController *contoller = [[XYO2OViewController alloc] init];
        contoller.o2oModule = [manager setupMoudle];
//        [contoller viewDidLoad];
        _contoller = contoller;
    }
    return self;
}

#pragma mark - FlutterPlatformView 协议
- (UIView *)view {
    /// 这里返回自定义的View
    return _contoller.view;
}

@end
