//
//  XYCloudGlobalConfig.h
//  xinhuamm_xycloud
//
//  Created by 邓付磊 on 2023/11/22.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface XYCloudGlobalConfig : NSObject

/// 主题色：#f38242
@property (nonatomic,   copy) NSString *themeColor;
/// 导航背景色 #f38242
@property (nonatomic,   copy) NSString *navigationColor;
/// UA标志符可不传，默认：@"xinhuamm DV/2"
@property (nonatomic,   copy) NSString *userAgent;
/// 这个和微信支付回调的链接域名的有关系的可不传， 默认：@"yc.market.xinhuamm.net://"
@property (nonatomic,   copy) NSString *weixinSchemeUrl;
/// app 私有协议 可不传，默认 @"yc.market.xinhuamm.net:alipay://"
@property (nonatomic,   copy) NSString *appUrlScheme;
/// 用户唯一标识（js通过交互过来获取）
@property (nonatomic,   copy) NSString *appUserToken;
/// 用于存放XYCloudManager ，不同页面对应不同的Manager保证加载不同url
@property (nonatomic, strong) NSMutableDictionary *cacheManagers;

+ (instancetype)shareInstance;

@end

NS_ASSUME_NONNULL_END
