//
//  XYCloudPlatformViewFactory.m
//  xinhuamm_xycloud
//
//  Created by 邓付磊 on 2023/11/16.
//

#import "XYCloudPlatformViewFactory.h"
#import "XYCloudFlutterWebView.h"

@implementation XYCloudPlatformViewFactory

#pragma mark FlutterPlatformViewFactory 协议

- (NSObject<FlutterMessageCodec> *)createArgsCodec {
    /// 返回编码类型，这里和Flutter 端保持一致
    return [FlutterStandardMessageCodec sharedInstance];
}

- (NSObject<FlutterPlatformView> *)createWithFrame:(CGRect)frame viewIdentifier:(int64_t)viewId arguments:(id)args {
    /// flutter端加载客户端view的时候会调用此协议方法
    /// ⚠️ 这里 frame=zero，viewId为view标识，args是flutter传入参数
    return [[XYCloudFlutterWebView alloc] initWithFrame:frame viewIdentifier:viewId arguments:args];
}
@end
