import 'xinhuamm_xycloud_platform_interface.dart';
import 'package:flutter/services.dart';

class XinhuammXycloud {
  // 打开新移云页面
  void openCloudPage(String url) {
    XinhuammXycloudPlatform.instance.openCloudPage(url);
  }

  Future<String> openScanPage() {
    return XinhuammXycloudPlatform.instance.openScanPage();
  }

  Future<bool> handleScanResult(String scanResult) {
    return XinhuammXycloudPlatform.instance.handleScanResult(scanResult);
  }

  // 设置新移云全局配置
  void setCloudGlobalConfig(dynamic config) {
    XinhuammXycloudPlatform.instance.setCloudGlobalConfig(config);
  }

  // 设置新移云事件监听回调
  void setCloudMethodCallHandler(
      Future<dynamic> Function(MethodCall call)? handler) {
    XinhuammXycloudPlatform.instance.setCloudMethodCallHandler(handler);
  }
}
