package net.xinhuamm.xycloud.xinhuamm_xycloud;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;

import androidx.annotation.Nullable;

import com.xinhuamm.client.ui.activity.AbsClientActivity;

/**
 * created by 陈明军 at 2021/7/28
 */
public class XYCloudActivity extends AbsClientActivity {

    private String o2oUrl;

    public static void start(Context context, String o2oUrl) {
        Intent intent = new Intent(context, XYCloudActivity.class);
        intent.putExtra(XYCloudFragment.KEY_URL, o2oUrl);
        context.startActivity(intent);
    }

    @Override
    public void onCreate(@Nullable Bundle savedInstanceState) {
        o2oUrl = getIntent().getStringExtra(XYCloudFragment.KEY_URL);
        super.onCreate(savedInstanceState);
    }

    @Override
    public String getUrl() {
        return o2oUrl;
    }

    @Override
    public void addClientFragment() {
        add(XYCloudFragment.newInstance(o2oUrl));
    }

}
