import 'package:flutter/src/services/message_codec.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:xinhuamm_xycloud/xinhuamm_xycloud.dart';
import 'package:xinhuamm_xycloud/xinhuamm_xycloud_platform_interface.dart';
import 'package:xinhuamm_xycloud/xinhuamm_xycloud_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockXinhuammXycloudPlatform
    with MockPlatformInterfaceMixin
    implements XinhuammXycloudPlatform {
  @override
  Future<String?> getPlatformVersion() => Future.value('42');

  @override
  void openCloudPage(String url) {
    // TODO: implement openCloudPage
  }

  @override
  Future<String> openScanPage() {
    // TODO: implement openScanPage
    throw UnimplementedError();
  }

  @override
  Future<bool> handleScanResult(String scanResult) {
    // TODO: implement handleScanResult
    throw UnimplementedError();
  }

  @override
  void setCloudGlobalConfig(config) {
    // TODO: implement setCloudGlobalConfig
  }

  @override
  void setCloudMethodCallHandler(Future Function(MethodCall call)? handler) {
    // TODO: implement setCloudMethodCallHandler
  }
}

void main() {
  final XinhuammXycloudPlatform initialPlatform =
      XinhuammXycloudPlatform.instance;

  test('$MethodChannelXinhuammXycloud is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelXinhuammXycloud>());
  });

  test('getPlatformVersion', () async {
    XinhuammXycloud xinhuammXycloudPlugin = XinhuammXycloud();
    MockXinhuammXycloudPlatform fakePlatform = MockXinhuammXycloudPlatform();
    XinhuammXycloudPlatform.instance = fakePlatform;
  });
}
